This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 512142 - (CVE-2009-2469) CVE-2009-2469 Mozilla remote code execution using watch and __defineSetter__ on SVG element
CVE-2009-2469 Mozilla remote code execution using watch and __defineSetter__ ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=critical,source=mozilla,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-16 10:21 EDT by Josh Bressers
Modified: 2013-04-12 12:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 12:24:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-07-16 10:21:31 EDT
Security researcher PenPal reported a crash involving a SVG element on
which a watch function and __defineSetter__ function have been set for a
particular property. The crash showed evidence of memory corruption and
could potentially be used by an attacker to run arbitrary code on a
victim's computer.
Comment 2 errata-xmlrpc 2009-07-21 21:26:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2009:1162 https://rhn.redhat.com/errata/RHSA-2009-1162.html
Comment 3 Jan Lieskovsky 2009-07-22 14:54:40 EDT
MITRE's CVE-2009-2469 entry:

Mozilla Firefox before 3.0.12 does not properly handle an SVG element
that has a property with a watch function and an __defineSetter__
function, which allows remote attackers to cause a denial of service
(memory corruption and application crash) or possibly execute
arbitrary code via a crafted document, related to a certain pointer
misinterpretation.

References:
----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2469
http://www.mozilla.org/security/announce/2009/mfsa2009-37.html
https://bugzilla.mozilla.org/show_bug.cgi?id=488995
http://www.securityfocus.com/bid/35758
http://secunia.com/advisories/35914
http://secunia.com/advisories/35944
http://www.vupen.com/english/advisories/2009/1972
Comment 4 Fedora Update System 2009-07-23 15:13:35 EDT
devhelp-0.22-10.fc10, blam-1.8.5-12.fc10, gecko-sharp2-0.13-10.fc10, galeon-2.0.7-12.fc10, gnome-python2-extras-2.19.1-32.fc10, evolution-rss-0.1.2-8.fc10, gnome-web-photo-0.3-20.fc10, mozvoikko-0.9.5-12.fc10, google-gadgets-0.10.5-8.fc10, kazehakase-0.5.6-4.fc10.4, mugshot-1.2.2-11.fc10, yelp-2.24.0-11.fc10, ruby-gnome2-0.19.0-3.fc10.1, Miro-2.0.5-2.fc10, epiphany-2.24.3-8.fc10, pcmanx-gtk2-0.3.8-11.fc10, xulrunner-1.9.0.12-1.fc10, firefox-3.0.12-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.